
Redmine - Defect #15385

Internal server error on Issues page

2013-11-18 14:37 - vimalraj velumani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.2.3

Description

While Adding a new issue and click submit button I got Internal server error.

Processing by IssuesController#index as HTML

Parameters: {"project_id"=>"arcadia-rct-2013-5"}

Current user: jayachandiran (id=1)

Rendered queries/_filters.html.erb (13.8ms)

Rendered queries/_columns.html.erb (2.9ms)

Rendered issues/_list.html.erb (154.0ms)

Rendered issues/index.html.erb within layouts/base (178.4ms)

Completed 500 Internal Server Error in 355ms

ActionView::Template::Error (incompatible character encodings: ASCII-8BIT and UTF-8):

60: <p class="nodata"><%= l(:label_no_data) ></p>

61: < else >

62: <= render :partial => 'issues/list', :locals => {:issues => @issues, :query => @query} >

63: <p class="pagination"><= pagination_links_full @issue_pages, @issue_count ></p>

64: < end >

65:

66: < other_formats_links do |f| %>

app/views/issues/index.html.erb:63:in `_app_views_issues_index_html_erb__1881326429770211639_41791240'

app/controllers/issues_controller.rb:83:in `block (2 levels) in index'

app/controllers/issues_controller.rb:82:in `index'

History

#1 - 2013-11-18 14:43 - vimalraj velumani

I have added 25 issues but i couldn't add 26th issue. If I delete the inserted issue its working fine. Is there any need to update the memory size?

#2 - 2013-11-18 17:16 - Gurvan Le Dromaguet

vimalraj velumani wrote:

I have added 25 issues but i couldn't add 26th issue. If I delete the inserted issue its working fine. Is there any need to update the memory size?

 Clearly not, the error being "incompatible character encodings: ASCII-8BIT and UTF-8" it is not a memory issue, it is some character in your issue 26

that did not pass, try to find out which ...

#3 - 2013-11-18 22:40 - Jean-Philippe Lang

- Priority changed from High to Normal

- Resolution set to Cant reproduce

Please read SubmittingBugs, this is certainly a database configuration issue (eg. you're using ruby1.9 or 2.0 with mysql adapter instead of mysql2).

#4 - 2013-11-18 22:40 - Jean-Philippe Lang

- Status changed from New to Needs feedback

#5 - 2013-12-01 14:36 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs


- Resolution changed from Cant reproduce to No feedback
